Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Lisp
  Reactor Antwort auswerten

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Reactor Antwort auswerten (732 mal gelesen)
dan_rather
Mitglied
Techniker HLK


Sehen Sie sich das Profil von dan_rather an!   Senden Sie eine Private Message an dan_rather  Schreiben Sie einen Gästebucheintrag für dan_rather

Beiträge: 97
Registriert: 09.12.2003

erstellt am: 24. Jun. 2005 08:37    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo zusammen,
folgender Reactor wird in der Zeichnung geladen:

(VLR-Reaction-Set (VLR-Command-Reactor) :VLR-commandWillStart
'VLR-trace-reaction)
Die Meldung in der Befehlzeile lautet:
; Reaction: :VLR-commandWillStart;
Argumentliste: (#<VLR-Command-Reactor> ("MENULOAD"))

Wie kann ich "MENULOAD" an eine Variable übergeben bzw explizit auf ds event MENULOAD reagieren bevor der Befehl ausgeführt wird?

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Brischke
Moderator
CAD on demand GmbH




Sehen Sie sich das Profil von Brischke an!   Senden Sie eine Private Message an Brischke  Schreiben Sie einen Gästebucheintrag für Brischke

Beiträge: 4136
Registriert: 17.05.2001

AutoCAD 20XX, defun-tools (d-tools.eu)

erstellt am: 24. Jun. 2005 11:35    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für dan_rather 10 Unities + Antwort hilfreich

Hallo dan_rather,

das geht eigentlich ganz einfach, du musst nur eine andere Funktion angeben, die ausgeführt werden soll, wenn ein COMMAND startet, endet oder abgebrochen wird.
Nachfolgend ein Bsp:

Code:

(if (not *VLR:CHECK_COMMAND*)
  (setq *VLR:CHECK_COMMAND*
        (VLR-Command-Reactor
          (vla-get-ActiveDocument (vlax-get-acad-object))
          '((:VLR-commandWillStart . R:CHECK_COMMAND_START)
            (:VLR-commandEnded . R:CHECK_COMMAND_END)
            (:VLR-commandCancelled . R:CHECK_COMMAND_CANCEL)
    )
  )
)
)
(defun R:CHECK_COMMAND_START (A B / NETWORKPLOTSTYLEPATH)
  (terpri)
  (princ A)
  (terpri)
  (princ B)
  (terpri)
  (if (and
(wcmatch (strcase (car B)) "*PAGESETUP,*PLOT,*PREVIEW")
)
    (princ "ICH WILL JETZT PLOTTEN!!!")
    )
  )
(defun R:CHECK_COMMAND_END (A B / NETWORKPLOTSTYLEPATH)
  (terpri)
  (princ A)
  (terpri)
  (princ B)
  (terpri)
  (if (and
(wcmatch (strcase (car B)) "*PAGESETUP,*PLOT,*PREVIEW")
)
    (princ "PUHHH .. PLOTTEN GESCHAFFT!!!")
    )
  )
(defun R:CHECK_COMMAND_CANCEL (A B / NETWORKPLOTSTYLEPATH)
  (terpri)
  (princ A)
  (terpri)
  (princ B)
  (terpri)
  (if (and
(wcmatch (strcase (car B)) "*PAGESETUP,*PLOT,*PREVIEW")
)
    (princ "WARUM LÄSST MAN MICH NICHT PLOTTEN, WARUM????")
    )
  )


Setze dir ein paar Haltepunkte in den (defun ...) dann wirst du es verstehen, was da eigentlich passiert.

Bei Fragen ...

Grüße Holger

------------------
Holger Brischke
CAD on demand GmbH                              Autodesk User Group Central Europe
Individuelle Lösungen von Heute auf Morgen.              AUGCE Manager Deutschland

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

dan_rather
Mitglied
Techniker HLK


Sehen Sie sich das Profil von dan_rather an!   Senden Sie eine Private Message an dan_rather  Schreiben Sie einen Gästebucheintrag für dan_rather

Beiträge: 97
Registriert: 09.12.2003

erstellt am: 24. Jun. 2005 12:23    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Danke Holger,
Holger der LISP GOTT!!!

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

marc.scherer
Ehrenmitglied V.I.P. h.c.
CAD-Administrator



Sehen Sie sich das Profil von marc.scherer an!   Senden Sie eine Private Message an marc.scherer  Schreiben Sie einen Gästebucheintrag für marc.scherer

Beiträge: 2484
Registriert: 02.11.2001

Windows 10 64bit
AutoCAD Architecture 2018/2019 (deu/eng)
AEC-Collection 2019 (Revit und Zeugs)
Wenn sich's nicht vermeiden läßt:
D-A-CH Erweiterung (mies implementierter Schrott)

erstellt am: 24. Jun. 2005 12:58    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für dan_rather 10 Unities + Antwort hilfreich


...

[Diese Nachricht wurde von marc.scherer am 24. Jun. 2005 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADmium
Moderator
Maschinenbaukonstrukteur




Sehen Sie sich das Profil von CADmium an!   Senden Sie eine Private Message an CADmium  Schreiben Sie einen Gästebucheintrag für CADmium

Beiträge: 13435
Registriert: 30.11.2003

.

erstellt am: 24. Jun. 2005 13:04    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für dan_rather 10 Unities + Antwort hilfreich

------------------
- Thomas -
"Bei 99% aller Probleme ist die umfassende Beschreibung des Problems bereits mehr als die Hälfte der Lösung desselben."

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2020 CAD.de | Impressum | Datenschutz